[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.IsEmpty

Check if the dataset contains no data

## Declaration

Source position: db.pas line 1318

`public function TDataSet.IsEmpty: Boolean;`

## Function result

True if the dataset has no data available.

## Description

IsEmpty returns True if the dataset is empty, i.e. if EOF and TDataset.BOF are both True, and the dataset is not in insert mode.

## See also

TDataset.EOF |  | Indicates whether the last record has been reached.
TDataset.BOF |  | Is the cursor at the beginning of the data (on the first record)
TDataset.State |  | Current operational state of the dataset

The latest version of this document can be found at lazarus-ccr.sourceforge.net .